## org.apache.catalina.core
Class ApplicationFilterFactory

    java.lang.Object
      org.apache.catalina.core.ApplicationFilterFactory

public final class ApplicationFilterFactory
extends java.lang.Object

Factory for the creation and caching of Filters and creationg of Filter Chains.

Version:
  $Revision: 1.0
Author:
  Greg Murray, Remy Maucherat

Field Summary
`static java.lang.String` `DISPATCHER_REQUEST_PATH_ATTR`
`static java.lang.String` `DISPATCHER_TYPE_ATTR`
`static int` `ERROR`
`static java.lang.Integer` `ERROR_INTEGER`
`static int` `FORWARD`
`static java.lang.Integer` `FORWARD_INTEGER`
`static int` `INCLUDE`
`static java.lang.Integer` `INCLUDE_INTEGER`
`static int` `REQUEST`
`static java.lang.Integer` `REQUEST_INTEGER`

Method Summary
`org.apache.catalina.core.ApplicationFilterChain` `createFilterChain(javax.servlet.ServletRequest request, Wrapper wrapper, javax.servlet.Servlet servlet)` Construct and return a FilterChain implementation that will wrap the execution of the specified servlet instance.
`static ApplicationFilterFactory` `getInstance()` Return the fqctory instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ERROR

    public static final int ERROR

See Also:
  Constant Field Values

### ERROR_INTEGER

    public static final java.lang.Integer ERROR_INTEGER

### FORWARD

    public static final int FORWARD

See Also:
  Constant Field Values

### FORWARD_INTEGER

    public static final java.lang.Integer FORWARD_INTEGER

### INCLUDE

    public static final int INCLUDE

See Also:
  Constant Field Values

### INCLUDE_INTEGER

    public static final java.lang.Integer INCLUDE_INTEGER

### REQUEST

    public static final int REQUEST

See Also:
  Constant Field Values

### REQUEST_INTEGER

    public static final java.lang.Integer REQUEST_INTEGER

### DISPATCHER_TYPE_ATTR

    public static final java.lang.String DISPATCHER_TYPE_ATTR

See Also:
  Constant Field Values

### DISPATCHER_REQUEST_PATH_ATTR

    public static final java.lang.String DISPATCHER_REQUEST_PATH_ATTR

See Also:
  Constant Field Values

Method Detail

### getInstance

    public static ApplicationFilterFactory getInstance()

  Return the fqctory instance.

### createFilterChain

    public org.apache.catalina.core.ApplicationFilterChain createFilterChain(javax.servlet.ServletRequest request,
                                                                             Wrapper wrapper,
                                                                             javax.servlet.Servlet servlet)

  Construct and return a FilterChain implementation that will wrap the execution of the specified servlet instance. If we should not execute a filter chain at all, return `null`.

  Parameters:
    `request` - The servlet request we are processing
    `servlet` - The servlet instance to be wrapped

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.